import { TextInputChangeEvent, TextInputTabEvent, ITextModifierKeys } from '@platform/ui.text/lib/components/TextInput';
export { ITextModifierKeys };
export declare type IFormulaInputTab = TextInputTabEvent & {
    isCancelled: boolean;
};
export declare type FormulaInputEvent = IFormulaInputChangingEvent | IFormulaInputChangedEvent | IFormulaInputTabEvent | IFormulaInputFocusEvent | ICodeMirrorFormulaBlurEvent | IFormulaInputNewLineEvent;
export declare type IFormulaInputChangingEvent = {
    type: 'INPUT/formula/changing';
    payload: IFormulaInputChanged;
};
export declare type IFormulaInputChanging = IFormulaInputChanged & {
    cancel(): void;
    isCancelled: boolean;
};
export declare type IFormulaInputChangedEvent = {
    type: 'INPUT/formula/changed';
    payload: IFormulaInputChanged;
};
export declare type IFormulaInputChanged = TextInputChangeEvent;
export declare type IFormulaInputTabEvent = {
    type: 'INPUT/formula/tab';
    payload: IFormulaInputTab;
};
export declare type IFormulaInputFocusEvent = {
    type: 'INPUT/formula/focus';
    payload: {};
};
export declare type ICodeMirrorFormulaBlurEvent = {
    type: 'INPUT/formula/blur';
    payload: {};
};
export declare type IFormulaInputNewLineEvent = {
    type: 'INPUT/formula/newLine';
    payload: IFormulaInputNewLine;
};
export declare type IFormulaInputNewLine = {
    isCancelled: boolean;
    cancel(): void;
    modifierKeys: ITextModifierKeys;
};
